Package org.apache.sling.cpconverter.maven.mojos

## Class ConvertCPMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.cpconverter.maven.mojos.AbstractBaseMojo
    - - org.apache.sling.cpconverter.maven.mojos.ConvertCPMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

    @Mojo(name="convert-cp",
          requiresProject=true,
          threadSafe=true)
    public class ConvertCPMojo
    extends AbstractBaseMojo

Converts the given Content Packages into Feature Models and places the converted Content Package into the local Maven Repository

### Field Summary

Fields
`static String` `CFG_API_REGIONS`
`static String` `CFG_ARTIFACT_ID_OVERRIDE`
`static String` `CFG_BUNDLE_START_ORDER`
`static String` `CFG_CONTENT_PACKAGES`
`static String` `CFG_CONVERTED_CP_FM_PREFIX`
`static String` `CFG_CONVERTED_CP_OUTPUT_DIRECTORY`
`static String` `CFG_FM_OUTPUT_DIRECTORY`
`static String` `CFG_INSTALL_CONVERTED_PACKAGE`
`static String` `CFG_IS_CONTENT_PACKAGE`
`static String` `CFG_MERGE_CONFIGURATIONS`
`static String` `CFG_STRICT_VALIDATION`
`static String` `CFG_SYSTEM_PROPERTIES`
`static String` `CFP_EXPORT_TO_API_REGION`
`static int` `DEFAULT_BUNDLE_START_ORDER`
`static String` `DEFAULT_CONVERTED_CP_OUTPUT_DIRECTORY`
`static String` `DEFAULT_FM_OUTPUT_DIRECTORY`
`static boolean` `DEFAULT_INSTALL_CONVERTED_PACKAGE`
`static boolean` `DEFAULT_IS_CONTENT_PACKAGE`
`static boolean` `DEFAULT_MERGE_CONFIGURATIONS`
`static boolean` `DEFAULT_STRING_VALIDATION`

### Fields inherited from class org.apache.sling.cpconverter.maven.mojos.AbstractBaseMojo

`artifactHandlerManager, installer, mavenSession, project, projectHelper`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
`ConvertCPMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CFG_STRICT_VALIDATION

    public static final String CFG_STRICT_VALIDATION

See Also:
  Constant Field Values

#### CFG_MERGE_CONFIGURATIONS

    public static final String CFG_MERGE_CONFIGURATIONS

See Also:
  Constant Field Values

#### CFG_BUNDLE_START_ORDER

    public static final String CFG_BUNDLE_START_ORDER

See Also:
  Constant Field Values

#### CFG_ARTIFACT_ID_OVERRIDE

    public static final String CFG_ARTIFACT_ID_OVERRIDE

See Also:
  Constant Field Values

#### CFG_INSTALL_CONVERTED_PACKAGE

    public static final String CFG_INSTALL_CONVERTED_PACKAGE

See Also:
  Constant Field Values

#### CFG_FM_OUTPUT_DIRECTORY

    public static final String CFG_FM_OUTPUT_DIRECTORY

See Also:
  Constant Field Values

#### CFG_CONVERTED_CP_OUTPUT_DIRECTORY

    public static final String CFG_CONVERTED_CP_OUTPUT_DIRECTORY

See Also:
  Constant Field Values

#### CFG_CONVERTED_CP_FM_PREFIX

    public static final String CFG_CONVERTED_CP_FM_PREFIX

See Also:
  Constant Field Values

#### CFG_SYSTEM_PROPERTIES

    public static final String CFG_SYSTEM_PROPERTIES

See Also:
  Constant Field Values

#### CFG_CONTENT_PACKAGES

    public static final String CFG_CONTENT_PACKAGES

See Also:
  Constant Field Values

#### CFG_IS_CONTENT_PACKAGE

    public static final String CFG_IS_CONTENT_PACKAGE

See Also:
  Constant Field Values

#### CFG_API_REGIONS

    public static final String CFG_API_REGIONS

See Also:
  Constant Field Values

#### CFP_EXPORT_TO_API_REGION

    public static final String CFP_EXPORT_TO_API_REGION

See Also:
  Constant Field Values

#### DEFAULT_STRING_VALIDATION

    public static final boolean DEFAULT_STRING_VALIDATION

See Also:
  Constant Field Values

#### DEFAULT_MERGE_CONFIGURATIONS

    public static final boolean DEFAULT_MERGE_CONFIGURATIONS

See Also:
  Constant Field Values

#### DEFAULT_BUNDLE_START_ORDER

    public static final int DEFAULT_BUNDLE_START_ORDER

See Also:
  Constant Field Values

#### DEFAULT_INSTALL_CONVERTED_PACKAGE

    public static final boolean DEFAULT_INSTALL_CONVERTED_PACKAGE

See Also:
  Constant Field Values

#### DEFAULT_CONVERTED_CP_OUTPUT_DIRECTORY

    public static final String DEFAULT_CONVERTED_CP_OUTPUT_DIRECTORY

See Also:
  Constant Field Values

#### DEFAULT_FM_OUTPUT_DIRECTORY

    public static final String DEFAULT_FM_OUTPUT_DIRECTORY

See Also:
  Constant Field Values

#### DEFAULT_IS_CONTENT_PACKAGE

    public static final boolean DEFAULT_IS_CONTENT_PACKAGE

See Also:
  Constant Field Values

### Constructor Detail

#### ConvertCPMojo

    public ConvertCPMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`